Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515948 - Jenkins slave images can get stale
Summary: Jenkins slave images can get stale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Ben Parees
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 16:43 UTC by Jim Minter
Modified: 2018-01-22 15:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Always pull jenkins slave images Reason: Ensures the latest slave image is used when running jenkins jobs in a slave Result: The default and autogenerated slave pod configurations will now specify PullAlways instead of defaulting to pull if not present.
Clone Of:
Environment:
Last Closed: 2018-01-12 18:51:00 UTC


Attachments (Terms of Use)

Description Jim Minter 2017-11-21 16:43:07 UTC
Our out-of-the-box Jenkins master configuration does not set "always pull image" on the Docker image reference used for Jenkins slaves.

We periodically release updates to the Jenkins slave images.  On a long-running cluster, the Jenkins slave image on a given node may become stale, and different Jenkins builds may run slave images at different revisions depending on the node where they run.

We should probably:

1) set "always pull image" by default
2) formalise our release process for Jenkins slave images.  If they should correspond to OpenShift versions, they should be tagged as such, and the relevant tag should be inserted into the Jenkins configuration.

Comment 5 Jim Minter 2018-01-12 18:42:35 UTC
Ben, I believe you've implemented the above in Origin at this point?

Comment 6 Ben Parees 2018-01-12 18:51:00 UTC
yes, moving forward the jenkins slave pod configuration will be defaulted to pull always for the pre-defined configuration:
https://github.com/openshift/jenkins/blob/master/2/contrib/jenkins/kube-slave-common.sh#L95

Gabe also updated the sync plugin to mark the slave pod configurations it defines from imagestreams as pullalways: https://github.com/openshift/jenkins-sync-plugin/pull/188

Having the jenkins image use imagestreams directly is out of scope since that is dependent on the kubernetes plugin which doesn't understand imagestreams.


Note You need to log in before you can comment on or make changes to this bug.